# Visualization
TKService
PlotMgt

# PlotMgt_ListOfMFTFonts Class Reference

`#include <PlotMgt_ListOfMFTFonts.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PlotMgt_ListOfMFTFonts (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PlotMgt_ListOfMFTFonts (const Handle(MFT_FontManager)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(MFT_FontManager)&V)
Standard_EXPORT void | Destroy ()
| ~PlotMgt_ListOfMFTFonts ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const PlotMgt_ListOfMFTFonts & | Assign (const PlotMgt_ListOfMFTFonts &Other)
const PlotMgt_ListOfMFTFonts & | operator= (const PlotMgt_ListOfMFTFonts &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(MFT_FontManager)&Value)
const Handle_MFT_FontManager & | Value (const Standard_Integer Index) const
const Handle_MFT_FontManager & | operator() (const Standard_Integer Index) const
Handle_MFT_FontManager & | ChangeValue (const Standard_Integer Index)
Handle_MFT_FontManager & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | PlotMgt_ListOfMFTFonts (const PlotMgt_ListOfMFTFonts &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT PlotMgt_ListOfMFTFonts::PlotMgt_ListOfMFTFonts | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PlotMgt_ListOfMFTFonts::PlotMgt_ListOfMFTFonts | ( | const Handle(MFT_FontManager)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

PlotMgt_ListOfMFTFonts::~PlotMgt_ListOfMFTFonts | ( |  | ) | `[inline]`

Standard_EXPORT PlotMgt_ListOfMFTFonts::PlotMgt_ListOfMFTFonts | ( | const PlotMgt_ListOfMFTFonts & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const PlotMgt_ListOfMFTFonts& PlotMgt_ListOfMFTFonts::Assign | ( | const PlotMgt_ListOfMFTFonts & | Other | ) |

Handle_MFT_FontManager& PlotMgt_ListOfMFTFonts::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void PlotMgt_ListOfMFTFonts::Destroy | ( |  | ) |

Standard_EXPORT void PlotMgt_ListOfMFTFonts::Init | ( | const Handle(MFT_FontManager)& | V | ) |

Standard_Boolean PlotMgt_ListOfMFTFonts::IsAllocated | ( |  | ) | const

Standard_Integer PlotMgt_ListOfMFTFonts::Length | ( |  | ) | const

Standard_Integer PlotMgt_ListOfMFTFonts::Lower | ( |  | ) | const

void PlotMgt_ListOfMFTFonts::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PlotMgt_ListOfMFTFonts::operator new | ( | size_t | size | ) | `[inline]`

void* PlotMgt_ListOfMFTFonts::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MFT_FontManager& PlotMgt_ListOfMFTFonts::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_MFT_FontManager& PlotMgt_ListOfMFTFonts::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const PlotMgt_ListOfMFTFonts& PlotMgt_ListOfMFTFonts::operator= | ( | const PlotMgt_ListOfMFTFonts & | Other | ) | `[inline]`

void PlotMgt_ListOfMFTFonts::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(MFT_FontManager)& | Value
| ) |

Standard_Integer PlotMgt_ListOfMFTFonts::Upper | ( |  | ) | const

const Handle_MFT_FontManager& PlotMgt_ListOfMFTFonts::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean PlotMgt_ListOfMFTFonts::isAllocated `[private]`

Standard_Integer PlotMgt_ListOfMFTFonts::myLowerBound `[private]`

Standard_Address PlotMgt_ListOfMFTFonts::myStart `[private]`

Standard_Integer PlotMgt_ListOfMFTFonts::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- PlotMgt_ListOfMFTFonts.hxx